## org.apache.http.impl.conn
Class DefaultResponseParser

    java.lang.Object
      org.apache.http.impl.io.AbstractMessageParser
          org.apache.http.impl.conn.DefaultResponseParser

All Implemented Interfaces:
  HttpMessageParser

    @ThreadSafe
    public class DefaultResponseParser

extends AbstractMessageParser

Default HTTP response parser implementation.

The following parameters can be used to customize the behavior of this class:

- `CoreConnectionPNames.MAX_HEADER_COUNT`
- `CoreConnectionPNames.MAX_LINE_LENGTH`
- `ConnConnectionPNames.MAX_STATUS_LINE_GARBAGE`

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.impl.io.AbstractMessageParser
`lineParser`

Constructor Summary
`DefaultResponseParser(SessionInputBuffer buffer, LineParser parser, HttpResponseFactory responseFactory, HttpParams params)`

Method Summary
`protected HttpMessage` `parseHead(SessionInputBuffer sessionBuffer)`

Methods inherited from class org.apache.http.impl.io.AbstractMessageParser
`parse, parseHeaders, parseHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultResponseParser

    public DefaultResponseParser(SessionInputBuffer buffer,
                                 LineParser parser,
                                 HttpResponseFactory responseFactory,
                                 HttpParams params)

Method Detail

### parseHead

    protected HttpMessage parseHead(SessionInputBuffer sessionBuffer)
                             throws IOException,
                                    HttpException

  Specified by:
    `parseHead` in class `AbstractMessageParser`
  Throws:
    `IOException`
    `HttpException`

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.